GET /word.json/{word}/relatedWords

wordnik.com

Summary: Given a word as a string, returns relationships from the Word Graph
Operation ID: getRelatedWords
Auth: unknown

Parameters (4)

limitPerRelationshipType (integer, query, optional, default: 10)

Restrict to the supplied relationship types

relationshipTypes (string, query, optional)

Limits the total results per type of relationship type

Constraints: {'enum': ['synonym', 'antonym', 'variant', 'equivalent', 'cross-reference', 'related-word', 'rhyme', 'form', 'etymologically-related-term', 'hypernym', 'hyponym', 'inflected-form', 'primary', 'same-context', 'verb-form', 'verb-stem', 'has_topic']}

useCanonical (string, query, optional, default: false)

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

Constraints: {'enum': ['false', 'true']}

word (string, path, required)

Word to fetch relationships for

No probe data for this endpoint yet.